Home / Lua API Manual / types / dt_lua_film_t
< dt_imageio_module_storage_data_disk
dt_style_t >

# dt_lua_film_t

`dt_type`

A film in darktable; this represents a directory containing imported images.

Attributes:

- has_tostring

# 🔗dt_lua_film_t.move_image

see darktable.database.move_image

# 🔗dt_lua_film_t.copy_image

see darktable.database.copy_image

# 🔗dt_lua_film_t.#

types.dt_lua_image_t

The different images within the film.

# 🔗dt_lua_film_t.id

`number` A unique numeric id used by this film.

Attributes:

- write

# 🔗dt_lua_film_t.path

`string`

The path represented by this film.

Attributes:

- write

# 🔗dt_lua_film_t.delete

    self:function(
      [force : boolean]
    )

Removes the film from the database.

- self - types.dt_lua_film_t - The film to remove.
- [force] - boolean - Force removal, even if the film is not empty.

< dt_imageio_module_storage_data_disk
dt_style_t >